defmodule OutlookWeb.ArticleLive.Show do
  use OutlookWeb, :live_view

  alias Outlook.Articles
  alias Outlook.InternalTree

  @impl true
  def mount(_params, _session, socket) do
    {:ok, socket}
  end

  @impl true
  def handle_params(%{"id" => id}, _, socket) do
    article = Articles.get_article_with_translations!(id)
    {:noreply,
     socket
     |> assign(:page_title, page_title(socket.assigns.live_action))
     |> assign(:article_content, InternalTree.garnish(article.content, %{tunits: %{class: "tunit"}}))
     |> assign(:article, article)}
  end

  defp page_title(:show), do: "Show Article"
  defp page_title(:edit), do: "Edit Article"
end
